Agent Email
Search inbox threads
POST /v1/agent-email/inboxes/{inboxId}/threads/search · SDK searchAgentEmailThreads · CLI deployments inbox-thread search
POST
Requires agent-email:read. A suspended organization can still call it.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
inboxId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
cursor?stringLength
1 <= length <= 4096from?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
3 <= length <= 320hasAttachments?booleanlimit?integerRange
1 <= value <= 100participants?array<>Items
items <= 50query?stringto?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
3 <= length <= 320AgentEmailThreadPageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X POST "https://example.com/v1/agent-email/inboxes/string/threads/search" \ -H "x-deployments-environment: string" \ -H "Content-Type: application/json" \ -d '{}'{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "id": "string", "inboxId": "string", "lastMessageAt": "2019-08-24T14:15:22Z", "messageCount": 0, "organizationId": "string", "participants": [ "string" ], "subject": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}